# Interface LogOptions

The type of the options parameter to [[decodeEvent]]. This type will be expanded in the future as more filtering options are added.

#### Category

Inputs

#### Hierarchy

- LogOptions

- Defined in codec/lib/types.ts:731

#####
Index

### Properties

disableChecks?
extras?
id?
name?

## Properties

### `Optional` disableChecks

disableChecks?: boolean

Allows decodings that don't pass the re-encoding test. Don't turn this on unless you know what you're doing!

- Defined in codec/lib/types.ts:752

### `Optional` extras

extras?: ExtrasAllowed

Used to indicate whether "extra" event decodings -- event decodings from non-library contracts other than the one that appears to have emitted the event -- should be returned. Defaults to `"off"`.

- Defined in codec/lib/types.ts:741

### `Optional` id

id?: string

If passed, restricts to events with the given ID. This is meant for internal use by Truffle Debugger; you probably don't want to bother with this option.

- Defined in codec/lib/types.ts:747

### `Optional` name

name?: string

If passed, restricts to events with the given name.

- Defined in codec/lib/types.ts:735

Generated using TypeDoc